| Version: 3.1.5

Macros
platform.h File Reference

## Macros
#define | wxCHECK_GCC_VERSION(major, minor)
| Returns true if the compiler being used is GNU C++ and its version is at least major.minor or greater. More...
#define | wxCHECK_SUNCC_VERSION(major, minor)
| Returns true if the compiler being used is Sun CC Pro and its version is at least major.minor or greater. More...
#define | wxCHECK_VISUALC_VERSION(major)
| Returns true if the compiler being used is Visual C++ and its version is at least major or greater. More...
#define | wxCHECK_W32API_VERSION(major, minor)
| Returns true if the version of w32api headers used is major.minor or greater. More...

## Macro Definition Documentation

## ◆ wxCHECK_GCC_VERSION

#define wxCHECK_GCC_VERSION | ( |  | major,
|  |  | minor
| ) |  |

Returns true if the compiler being used is GNU C++ and its version is at least major.minor or greater.

Returns false otherwise.

Include file:

    #include <wx/platform.h>

## ◆ wxCHECK_SUNCC_VERSION

#define wxCHECK_SUNCC_VERSION | ( |  | major,
|  |  | minor
| ) |  |

Returns true if the compiler being used is Sun CC Pro and its version is at least major.minor or greater.

Returns false otherwise.

Include file:

    #include <wx/platform.h>

## ◆ wxCHECK_VISUALC_VERSION

#define wxCHECK_VISUALC_VERSION | ( |  | major | ) |

Returns true if the compiler being used is Visual C++ and its version is at least major or greater.

Returns false otherwise.

Include file:

    #include <wx/platform.h>

## ◆ wxCHECK_W32API_VERSION

#define wxCHECK_W32API_VERSION | ( |  | major,
|  |  | minor
| ) |  |

Returns true if the version of w32api headers used is major.minor or greater.

Otherwise, and also if we are not compiling with MinGW32/Cygwin under Win32 at all, returns false.

Include file:

    #include <wx/platform.h>